package de.comline.spring.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import de.comline.spring.service.MovieService;

@RestController
public class MovieController {
	@Autowired
	private MovieService service;
	
	@GetMapping("/movies")
	public String getMovies() {
		return service.listAllMovies();
	}

	@PostMapping("/movie/{title}")
	public String createMovie(@PathVariable(name = "title") String title) {
		service.createMovie(title);
		return "Successfully created movie " + title + ".\n";
	}
}
